Subject: Re: bug#47748: Packages which cant be find/removed by guix remove

From: Mark H Weaver <[email-masked]>
Date: Fri, 16 Apr 2021 10:52:03 -0400

Mark H Weaver <[email-masked]> writes:

> Julien Lepiller <[email-masked]> writes:
>
>> The manual suggests modify-services in some places:
>>
>> (modify-services %desktop-services
>>   (delete avahi-service-type))
>
> I don't see how this can work.

For the record: Julien was right.  'modify-services' was enhanced to
support deleting services about 2 days before Julien made this post, and
I didn't yet know about it.  I checked my own local copy of the Guix git
repo, which was a few days old, and it didn't occur to me that the
functionality had been added so recently.  Sorry for the confusion.

       Mark